OpenShot Audio Library | OpenShotAudio: juce::ReverbAudioSource Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ReverbAudioSource Class Reference

`#include <juce_ReverbAudioSource.h>`

Inheritance diagram for juce::ReverbAudioSource:

## Public Member Functions
| ReverbAudioSource (AudioSource *inputSource, bool deleteInputWhenDeleted)
| ~ReverbAudioSource () override
const Reverb::Parameters & | getParameters () const noexcept
void | setParameters (const Reverb::Parameters &newParams)
void | setBypassed (bool isBypassed) noexcept
bool | isBypassed () const noexcept
void | prepareToPlay (int samplesPerBlockExpected, double sampleRate) override
void | releaseResources () override
void | getNextAudioBlock (const AudioSourceChannelInfo &) override
Public Member Functions inherited from juce::AudioSource
virtual | ~AudioSource ()=default
virtual void | prepareToPlay (int samplesPerBlockExpected, double sampleRate)=0
virtual void | releaseResources ()=0
virtual void | getNextAudioBlock (const AudioSourceChannelInfo &bufferToFill)=0

## Additional Inherited Members
Protected Member Functions inherited from juce::AudioSource
| AudioSource ()=default

## Detailed Description

An AudioSource that uses the Reverb class to apply a reverb to another AudioSource.

See also
  Reverb

Definition at line 34 of file juce_ReverbAudioSource.h.

## Constructor & Destructor Documentation

## ◆ ReverbAudioSource()

juce::ReverbAudioSource::ReverbAudioSource | ( | AudioSource * | inputSource,
|  | bool | deleteInputWhenDeleted
| ) |  |

Creates a ReverbAudioSource to process a given input source.

Parameters

  inputSource | the input source to read from - this must not be null
  deleteInputWhenDeleted | if true, the input source will be deleted when this object is deleted

Definition at line 26 of file juce_ReverbAudioSource.cpp.

## ◆ ~ReverbAudioSource()

juce::ReverbAudioSource::~ReverbAudioSource | ( |  | ) |
| override

Destructor.

Definition at line 33 of file juce_ReverbAudioSource.cpp.

## Member Function Documentation

## ◆ getNextAudioBlock()

void juce::ReverbAudioSource::getNextAudioBlock | ( | const AudioSourceChannelInfo & | bufferToFill | ) |
| overridevirtual

Called repeatedly to fetch subsequent blocks of audio data.

After calling the prepareToPlay() method, this callback will be made each time the audio playback hardware (or whatever other destination the audio data is going to) needs another block of data.

It will generally be called on a high-priority system thread, or possibly even an interrupt, so be careful not to do too much work here, as that will cause audio glitches!

See also
  AudioSourceChannelInfo, prepareToPlay, releaseResources

Implements juce::AudioSource.

Definition at line 44 of file juce_ReverbAudioSource.cpp.

## ◆ getParameters()

const Reverb::Parameters & juce::ReverbAudioSource::getParameters | ( |  | ) | const
| inlinenoexcept

Returns the parameters from the reverb.

Definition at line 51 of file juce_ReverbAudioSource.h.

## ◆ isBypassed()

bool juce::ReverbAudioSource::isBypassed | ( |  | ) | const
| inlinenoexcept

Definition at line 57 of file juce_ReverbAudioSource.h.

## ◆ prepareToPlay()

void juce::ReverbAudioSource::prepareToPlay | ( | int | samplesPerBlockExpected,
|  | double | sampleRate
| ) |  |
| overridevirtual

Tells the source to prepare for playing.

An AudioSource has two states: prepared and unprepared.

The prepareToPlay() method is guaranteed to be called at least once on an 'unprepared' source to put it into a 'prepared' state before any calls will be made to getNextAudioBlock(). This callback allows the source to initialise any resources it might need when playing.

Once playback has finished, the releaseResources() method is called to put the stream back into an 'unprepared' state.

Note that this method could be called more than once in succession without a matching call to releaseResources(), so make sure your code is robust and can handle that kind of situation.

Parameters

  samplesPerBlockExpected | the number of samples that the source will be expected to supply each time its getNextAudioBlock() method is called. This number may vary slightly, because it will be dependent on audio hardware callbacks, and these aren't guaranteed to always use a constant block size, so the source should be able to cope with small variations.
  sampleRate | the sample rate that the output will be used at - this is needed by sources such as tone generators.

See also
  releaseResources, getNextAudioBlock

Implements juce::AudioSource.

Definition at line 35 of file juce_ReverbAudioSource.cpp.

## ◆ releaseResources()

void juce::ReverbAudioSource::releaseResources | ( |  | ) |
| overridevirtual

Allows the source to release anything it no longer needs after playback has stopped.

This will be called when the source is no longer going to have its getNextAudioBlock() method called, so it should release any spare memory, etc. that it might have allocated during the prepareToPlay() call.

Note that there's no guarantee that prepareToPlay() will actually have been called before releaseResources(), and it may be called more than once in succession, so make sure your code is robust and doesn't make any assumptions about when it will be called.

See also
  prepareToPlay, getNextAudioBlock

Implements juce::AudioSource.

Definition at line 42 of file juce_ReverbAudioSource.cpp.

## ◆ setBypassed()

void juce::ReverbAudioSource::setBypassed | ( | bool | isBypassed | ) |
| noexcept

Definition at line 73 of file juce_ReverbAudioSource.cpp.

## ◆ setParameters()

void juce::ReverbAudioSource::setParameters | ( | const Reverb::Parameters & | newParams | ) |

Changes the reverb's parameters.

Definition at line 67 of file juce_ReverbAudioSource.cpp.

The documentation for this class was generated from the following files:

- juce_ReverbAudioSource.h
- juce_ReverbAudioSource.cpp